# eric7.Plugins.WizardPlugins.DotDesktopWizard.DotDesktopListSelectionDialog

Module implementing a dialog to select multiple entries from a list.

### Global Attributes

None

### Classes

DotDesktopListSelectionDialog | Class implementing a dialog to select multiple entries from a list.

### Functions

None

## DotDesktopListSelectionDialog

Class implementing a dialog to select multiple entries from a list.

### Derived from

QDialog, Ui_DotDesktopListSelectionDialog

### Class Attributes

None

### Class Methods

None

### Methods

DotDesktopListSelectionDialog | Constructor
getData | Public method to extract the selected entries as a list or a string.

### Static Methods

None

#### DotDesktopListSelectionDialog (Constructor)

DotDesktopListSelectionDialog(entries, selectedEntries, separator, subEntries=None, allowMultiMain=True, allowMultiSub=True, parent=None, )

Constructor

entries
  list of entries to be shown (list of string)
selectedEntries
  list of entries to be selected (list of string or string of entries separated by separator)
separator
  separator string (string)
subEntries
  secondary list of entries (list of string)
allowMultiMain
  flag indicating to allow multiple selections for the main entry (bool)
allowMultiSub
  flag indicating to allow multiple selections for the sub entry (bool)
parent
  reference to the parent widget (QWidget)

#### DotDesktopListSelectionDialog.getData

getData(separator=None, separatorAtEnd=False)

Public method to extract the selected entries as a list or a string.

separator
  separator string (string)
separatorAtEnd
  flag indicating to append the separator (boolean)

Return:
  list of selected entries (list of string) if the separator is None or a string with entries delimited by separator (string)

Up